<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.18"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>MeLOn: C:/Users/Linus/Documents/HiWi/SVT/MeLOn/myMeLOn/feedforward neural network/training/keras/example_training_of_ANN_with_pruning.py File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="MeLOn_only.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">MeLOn
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.18 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('example__training__of___a_n_n__with__pruning_8py.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#namespaces">Namespaces</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">example_training_of_ANN_with_pruning.py File Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p>Training of artificial neural network in Keras with pruning and export to file that is readable by MeLOn.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr class="memitem:namespaceexample__training__of___a_n_n__with__pruning"><td class="memItemLeft" align="right" valign="top"> &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html">example_training_of_ANN_with_pruning</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">example_training_of_ANN_with_pruning.problem_name</a> = &quot;peaks&quot;</td></tr>
<tr class="memdesc:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="mdescLeft">&#160;</td><td class="mdescRight">LOAD DATA ############################ enter data set information.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#a9a4f8c87b158f7fa01c06df461c96c0f">More...</a><br /></td></tr>
<tr class="separator:a9a4f8c87b158f7fa01c06df461c96c0f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0b37e710db8a0a3666c8200537f8bd9d"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a0b37e710db8a0a3666c8200537f8bd9d">example_training_of_ANN_with_pruning.filename_data</a> = &quot;./data/peaks.csv&quot;</td></tr>
<tr class="separator:a0b37e710db8a0a3666c8200537f8bd9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a169bf2fa686e38bf1db07cf6988f9491"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a169bf2fa686e38bf1db07cf6988f9491">example_training_of_ANN_with_pruning.input_dim</a> = 2</td></tr>
<tr class="separator:a169bf2fa686e38bf1db07cf6988f9491"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3baca2e259a9661b81196a9a1586fab5"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3baca2e259a9661b81196a9a1586fab5">example_training_of_ANN_with_pruning.output_dim</a> = 1</td></tr>
<tr class="separator:a3baca2e259a9661b81196a9a1586fab5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7fce3dbf8c9ef3344e5ebd2f8bd4efe"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad7fce3dbf8c9ef3344e5ebd2f8bd4efe">example_training_of_ANN_with_pruning.scaleInput</a> = True</td></tr>
<tr class="separator:ad7fce3dbf8c9ef3344e5ebd2f8bd4efe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a394e47cbd3f3c439d60cd68538a77376"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a394e47cbd3f3c439d60cd68538a77376">example_training_of_ANN_with_pruning.normalizeOutput</a> = True</td></tr>
<tr class="separator:a394e47cbd3f3c439d60cd68538a77376"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1a0147c07cdb1bfd13a6ba7108797e05"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a1a0147c07cdb1bfd13a6ba7108797e05">example_training_of_ANN_with_pruning.data</a> = np.loadtxt(open(filename_data, &quot;rb&quot;), delimiter=&quot;,&quot;)</td></tr>
<tr class="separator:a1a0147c07cdb1bfd13a6ba7108797e05"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a73769a4a55d2236208531a6bd6e93d4d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a73769a4a55d2236208531a6bd6e93d4d">example_training_of_ANN_with_pruning.X</a> = <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>[:, :-output_dim]</td></tr>
<tr class="separator:a73769a4a55d2236208531a6bd6e93d4d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2d0c289bec626bce3aff90c9fff24b87"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a2d0c289bec626bce3aff90c9fff24b87">example_training_of_ANN_with_pruning.y</a> = <a class="el" href="example__training__of___g_p_8m.html#ab50c331b679f2b0e5d4fef84e71f3934">data</a>[:, input_dim:]</td></tr>
<tr class="separator:a2d0c289bec626bce3aff90c9fff24b87"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a31686a44e78b3295907fd84f811eb169"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a31686a44e78b3295907fd84f811eb169">example_training_of_ANN_with_pruning.X_norm</a> = <a class="el" href="namespaceutils.html#af03d2faf46bc38486d5c6ab0c5c85b8f">utils.scale</a>(<a class="el" href="example__training__of___a_n_n_8m.html#a4817a9277ef40b3369c95a4e1e1acfaf">X</a>, scaleInput)</td></tr>
<tr class="separator:a31686a44e78b3295907fd84f811eb169"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab34f76e638204af571a5ba1e7109ebaa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab34f76e638204af571a5ba1e7109ebaa">example_training_of_ANN_with_pruning.y_norm</a> = <a class="el" href="namespaceutils.html#a7f1d7e10d576b8f5c278b9d248890d29">utils.normalize</a>(y, normalizeOutput)</td></tr>
<tr class="separator:ab34f76e638204af571a5ba1e7109ebaa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3f5c6a8571fa47eb625e33ec9f826434"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3f5c6a8571fa47eb625e33ec9f826434">example_training_of_ANN_with_pruning.x_train</a></td></tr>
<tr class="separator:a3f5c6a8571fa47eb625e33ec9f826434"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae6d4e84c5b92f215ef4e452420934f9c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae6d4e84c5b92f215ef4e452420934f9c">example_training_of_ANN_with_pruning.x_val</a></td></tr>
<tr class="separator:ae6d4e84c5b92f215ef4e452420934f9c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a76dcdd9d140479b477b490618e2b2ce5"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a76dcdd9d140479b477b490618e2b2ce5">example_training_of_ANN_with_pruning.y_train</a></td></tr>
<tr class="separator:a76dcdd9d140479b477b490618e2b2ce5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a3316380dc96ff67ade72d46a4b884c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3a3316380dc96ff67ade72d46a4b884c">example_training_of_ANN_with_pruning.y_val</a></td></tr>
<tr class="separator:a3a3316380dc96ff67ade72d46a4b884c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a639e4c66df45da8d39548ebbbaf48d35"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a639e4c66df45da8d39548ebbbaf48d35">example_training_of_ANN_with_pruning.test_size</a></td></tr>
<tr class="separator:a639e4c66df45da8d39548ebbbaf48d35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9c58787e240e16ece69f41dabb6b9378"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a9c58787e240e16ece69f41dabb6b9378">example_training_of_ANN_with_pruning.n_train</a> = x_train.shape[0]</td></tr>
<tr class="separator:a9c58787e240e16ece69f41dabb6b9378"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">example_training_of_ANN_with_pruning.output_folder</a> = &quot;./data/Output/&quot;</td></tr>
<tr class="memdesc:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="mdescLeft">&#160;</td><td class="mdescRight">SET PARAMETERS ############################ output filename.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aefd6ba01c3a6d34fc48b732ff5b84678">More...</a><br /></td></tr>
<tr class="separator:aefd6ba01c3a6d34fc48b732ff5b84678"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae878dc4473b74945ed989409f7b511ea"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae878dc4473b74945ed989409f7b511ea">example_training_of_ANN_with_pruning.filename_out</a> = output_folder + problem_name</td></tr>
<tr class="separator:ae878dc4473b74945ed989409f7b511ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a94baafa0291bfefa2ce9c21f9b969ebb"><td class="memItemLeft" align="right" valign="top">list&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a94baafa0291bfefa2ce9c21f9b969ebb">example_training_of_ANN_with_pruning.network_layout</a> = [10, 10]</td></tr>
<tr class="separator:a94baafa0291bfefa2ce9c21f9b969ebb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acf1c34107dcb0dd58f40d4f07729ff2e"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#acf1c34107dcb0dd58f40d4f07729ff2e">example_training_of_ANN_with_pruning.activation_function</a> = 'relu'</td></tr>
<tr class="separator:acf1c34107dcb0dd58f40d4f07729ff2e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a46dacf431ce1b370d2d8a762b573a04f"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a46dacf431ce1b370d2d8a762b573a04f">example_training_of_ANN_with_pruning.activation_function_out</a> = 'linear'</td></tr>
<tr class="separator:a46dacf431ce1b370d2d8a762b573a04f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55f220455f7c5552805eb22ce86b1c38"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a55f220455f7c5552805eb22ce86b1c38">example_training_of_ANN_with_pruning.learning_rate</a> = 0.001</td></tr>
<tr class="separator:a55f220455f7c5552805eb22ce86b1c38"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5677b899c21da379fdf3f236afd342aa"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5677b899c21da379fdf3f236afd342aa">example_training_of_ANN_with_pruning.kernel_regularizer</a> = tf.keras.regularizers.l2(l=0.0001)</td></tr>
<tr class="separator:a5677b899c21da379fdf3f236afd342aa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3cafab6c941e220a4687dc3f1d84f9f8"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a3cafab6c941e220a4687dc3f1d84f9f8">example_training_of_ANN_with_pruning.kernel_initializer</a> = 'he_normal'</td></tr>
<tr class="separator:a3cafab6c941e220a4687dc3f1d84f9f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aacd2964711c50cca27fbdf30017c6206"><td class="memItemLeft" align="right" valign="top">string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aacd2964711c50cca27fbdf30017c6206">example_training_of_ANN_with_pruning.optimizer</a> = 'adam'</td></tr>
<tr class="separator:aacd2964711c50cca27fbdf30017c6206"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a691c6275f1d8bab8da0764315c19d333"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a691c6275f1d8bab8da0764315c19d333">example_training_of_ANN_with_pruning.epochs</a> = 100</td></tr>
<tr class="separator:a691c6275f1d8bab8da0764315c19d333"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a165c44c4a3de248d971b449518e08193"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a165c44c4a3de248d971b449518e08193">example_training_of_ANN_with_pruning.batch_size</a> = 128</td></tr>
<tr class="separator:a165c44c4a3de248d971b449518e08193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad8d29ee00fa090fc7dd08ac9803b4a5a"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ad8d29ee00fa090fc7dd08ac9803b4a5a">example_training_of_ANN_with_pruning.initial_sparsity</a> = 0.0</td></tr>
<tr class="separator:ad8d29ee00fa090fc7dd08ac9803b4a5a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:afbf77b6ba8b9132602c70000dbfddb24"><td class="memItemLeft" align="right" valign="top">float&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#afbf77b6ba8b9132602c70000dbfddb24">example_training_of_ANN_with_pruning.final_sparsity</a> = 0.4</td></tr>
<tr class="separator:afbf77b6ba8b9132602c70000dbfddb24"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac6ec1b1687f0ac3dcf0033f5f497342a"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ac6ec1b1687f0ac3dcf0033f5f497342a">example_training_of_ANN_with_pruning.begin_step</a> = 30</td></tr>
<tr class="separator:ac6ec1b1687f0ac3dcf0033f5f497342a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a78c452916c43f8109dbcfe82e7d40544"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a78c452916c43f8109dbcfe82e7d40544">example_training_of_ANN_with_pruning.end_step</a> = np.ceil(n_train / batch_size).astype(np.int32) * <a class="el" href="example__training__of___a_n_n_8m.html#a96965a417c15556529ddf4d2f22ba55d">epochs</a></td></tr>
<tr class="separator:a78c452916c43f8109dbcfe82e7d40544"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeb7e659ebe776b0a9262a555596f0a74"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeb7e659ebe776b0a9262a555596f0a74">example_training_of_ANN_with_pruning.frequency</a> = 10</td></tr>
<tr class="separator:aeb7e659ebe776b0a9262a555596f0a74"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aefca0c7ff10066ae02ead8b9ce14866d"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aefca0c7ff10066ae02ead8b9ce14866d">example_training_of_ANN_with_pruning.random_state</a> = 1</td></tr>
<tr class="separator:aefca0c7ff10066ae02ead8b9ce14866d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae4723cb51aa45c9fc84901e7473bccc8"><td class="memItemLeft" align="right" valign="top">dictionary&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ae4723cb51aa45c9fc84901e7473bccc8">example_training_of_ANN_with_pruning.pruning_params</a></td></tr>
<tr class="memdesc:ae4723cb51aa45c9fc84901e7473bccc8"><td class="mdescLeft">&#160;</td><td class="mdescRight">BUILD MODEL ############################ Set pruning parameters <br  />
  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#ae4723cb51aa45c9fc84901e7473bccc8">More...</a><br /></td></tr>
<tr class="separator:ae4723cb51aa45c9fc84901e7473bccc8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a26a6954b70a15d00b4cac2649c2e03d1"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a26a6954b70a15d00b4cac2649c2e03d1">example_training_of_ANN_with_pruning.pruned_model</a> = tf.keras.Sequential()</td></tr>
<tr class="separator:a26a6954b70a15d00b4cac2649c2e03d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a698190a047bf5cccb925c9f8c77b0136"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a698190a047bf5cccb925c9f8c77b0136">example_training_of_ANN_with_pruning.loss</a></td></tr>
<tr class="separator:a698190a047bf5cccb925c9f8c77b0136"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab8e7e6b6e5e0f991a2590e1f8bee6e8d"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#ab8e7e6b6e5e0f991a2590e1f8bee6e8d">example_training_of_ANN_with_pruning.metrics</a></td></tr>
<tr class="separator:ab8e7e6b6e5e0f991a2590e1f8bee6e8d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aa04dd715e0fe2a1c25e39df708c8a42c">example_training_of_ANN_with_pruning.training_time</a> = time.time()</td></tr>
<tr class="memdesc:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="mdescLeft">&#160;</td><td class="mdescRight">TRAINING ############################.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aa04dd715e0fe2a1c25e39df708c8a42c">More...</a><br /></td></tr>
<tr class="separator:aa04dd715e0fe2a1c25e39df708c8a42c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fc8999ac3d6cc155c7ba5be8aa74858"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a5fc8999ac3d6cc155c7ba5be8aa74858">example_training_of_ANN_with_pruning.history</a></td></tr>
<tr class="separator:a5fc8999ac3d6cc155c7ba5be8aa74858"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaa4581cef7525fa0d40cde095569f8a"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#aeaa4581cef7525fa0d40cde095569f8a">example_training_of_ANN_with_pruning.stripped_model</a> = sparsity.strip_pruning(pruned_model)</td></tr>
<tr class="memdesc:aeaa4581cef7525fa0d40cde095569f8a"><td class="mdescLeft">&#160;</td><td class="mdescRight">SAVE MODEL ############################.  <a href="namespaceexample__training__of___a_n_n__with__pruning.html#aeaa4581cef7525fa0d40cde095569f8a">More...</a><br /></td></tr>
<tr class="separator:aeaa4581cef7525fa0d40cde095569f8a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a287cbaa79ad51520ec1f6bfb83bc12fc"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceexample__training__of___a_n_n__with__pruning.html#a287cbaa79ad51520ec1f6bfb83bc12fc">example_training_of_ANN_with_pruning.y_pred</a> = stripped_model.predict(X_norm)</td></tr>
<tr class="separator:a287cbaa79ad51520ec1f6bfb83bc12fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p>Training of artificial neural network in Keras with pruning and export to file that is readable by MeLOn. </p>
<p>==============================================================================<br  />
 Aachener Verfahrenstechnik-Systemverfahrenstechnik, RWTH Aachen University <br  />
 ==============================================================================<br  />
 </p><dl class="section author"><dt>Author</dt><dd>Artur M. Schweidtmann, Friedrich von Bülow, Jing Cui, Laurens Lueg, and Alexander Mitsos </dd></dl>
<dl class="section date"><dt>Date</dt><dd>20. January 2020 </dd></dl>
</div></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_2153465d1994426effb356c466256250.html">feedforward neural network</a></li><li class="navelem"><a class="el" href="dir_54ff30f75ea43d49e198e5be16e8be47.html">training</a></li><li class="navelem"><a class="el" href="dir_f88eb08e453a05a235cbc6b4d5da7126.html">keras</a></li><li class="navelem"><a class="el" href="example__training__of___a_n_n__with__pruning_8py.html">example_training_of_ANN_with_pruning.py</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.18 </li>
  </ul>
</div>
</body>
</html>
